# Link As Popup

This module allows you to add a target '_blank' windows to open
as a sized chromeless new tab or a  JS-Model/dialog over
current page to link fields.

You can configure the link target per link if you select the
appropriate field widget in the field settings.

For a full description of the module, visit the
[project page](https://www.drupal.org/project/link_as_popup).

Submit bug reports and feature suggestions, or track changes in the
[issue queue](https://www.drupal.org/project/issues/link_as_popup).


## Table of contents

- Requirements
- Installation
- Notes
- Configuration


## Requirements

This module requires no modules outside of Drupal core.


## Installation

Install as you would normally install a contributed Drupal module.
Add Field widget and formatter to where ever you want to uses it!


## NOTES

- Javscirpt new windows have limited multi screen detection.  Chromeless will open likely
 in 'main dispaly'.
- Drupal.Ajax (site links [experimental]) should would with most common page controlled
 site pages.  Limits are are based on Drupal Core own API restrictions
- Be aware of your site "Content Security Policy" https://wiki.mozilla.org/Security/CSP
- Recommend:  Contributed module [Seckit](https://www.drupal.org/project/seckit) will let you adjust your
  Content Security Policy, agmonst other such security factors


## Configuration

Configure the targets that should be available to the editor in the widget
settings in the Form display tab for your content type or bundle.
